%global commit 30e0116fa8ecc286c68807fddd0a25dc524b0a14
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		systemd-sleep-user
Version:	%{shortcommit}
Release:	4%{?dist}
Summary:	TODO
License:	BSD
URL:		https://github.com/sstallion/systemd-sleep-user/
Source0:	https://github.com/sstallion/%{name}/archive/%{commit}.tar.gz

BuildArch:	noarch

Requires:	systemd

%description
TODO

%prep
%setup -q -n %{name}-%{commit}

%install
mkdir -p %{buildroot}/usr/lib/systemd/
cp -pr system %{buildroot}/usr/lib/systemd/
cp -p systemd-sleep-user %{buildroot}/usr/lib/systemd/

mkdir -p %{buildroot}%{_mandir}/man8/
cp -p systemd-sleep-user.8 %{buildroot}%{_mandir}/man8/

%files
%license LICENSE
%doc README.md
/usr/lib/systemd/*
/usr/lib/systemd/system/*
%{_mandir}/man8/*

%changelog
* Sun Oct 22 2017 Steven Stallion <sstallion@gmail.com> 30e0116-4
- Update package version

* Fri Oct 20 2017 Steven Stallion <sstallion@gmail.com> 8f8bb44-3
- Drop references to %{_unitdir} (copr doesn't cope well)

* Fri Oct 20 2017 Steven Stallion <sstallion@gmail.com> 8f8bb44-2
- Add missing %files directive for unit files

* Thu Oct 19 2017 Steven Stallion <sstallion@gmail.com> 8f8bb44-1
- Initial revision
